org.apache.solr.client.solrj.response

## Class LukeResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.LukeResponse

- All Implemented Interfaces:
    Serializable

      public class LukeResponse
      extends SolrResponseBase

  This is an incomplete representation of the data returned from Luke
  Since:
    solr 1.3
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LukeResponse.FieldInfo`
    `static class` | `LukeResponse.FieldTypeInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LukeResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,LukeResponse.FieldInfo>` | `getFieldInfo()`
    `LukeResponse.FieldInfo` | `getFieldInfo(String f)`
    `Map<String,LukeResponse.FieldTypeInfo>` | `getFieldTypeInfo()`
    `LukeResponse.FieldTypeInfo` | `getFieldTypeInfo(String name)`
    `String` | `getIndexDirectory()`
    `NamedList<Object>` | `getIndexInfo()`
    `Integer` | `getMaxDoc()`
    `Integer` | `getNumDocs()`
    `Integer` | `getNumTerms()`
    `void` | `setResponse(NamedList<Object> res)`

    - ### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

      `getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

      `deserialize, serializable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LukeResponse

          public LukeResponse()

  - ### Method Detail

    - #### setResponse

          public void setResponse(NamedList<Object> res)

      Overrides:
        `setResponse` in class `SolrResponseBase`

    - #### getIndexDirectory

          public String getIndexDirectory()

    - #### getNumDocs

          public Integer getNumDocs()

    - #### getMaxDoc

          public Integer getMaxDoc()

    - #### getNumTerms

          public Integer getNumTerms()

    - #### getFieldTypeInfo

          public Map<String,LukeResponse.FieldTypeInfo> getFieldTypeInfo()

    - #### getFieldTypeInfo

          public LukeResponse.FieldTypeInfo getFieldTypeInfo(String name)

    - #### getIndexInfo

          public NamedList<Object> getIndexInfo()

    - #### getFieldInfo

          public Map<String,LukeResponse.FieldInfo> getFieldInfo()

    - #### getFieldInfo

          public LukeResponse.FieldInfo getFieldInfo(String f)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.